#!/bin/sh

# Kura should be installed to the /opt/eclipse directory.
export PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/bin:/opt/jvm/bin:/usr/java/bin

DIR=$(cd $(dirname $0)/..; pwd)
cd $DIR

# set up the configuration area
mkdir -p /tmp/.kura/configuration
cp ${DIR}/kura/config.ini /tmp/.kura/configuration/

nohup java -Xms256m -Xmx256m -XX:MaxPermSize=256m -Dkura.os.version=raspbian \
	-Dkura.arch=armv6_hf \
	-Dtarget.device=raspberry-pi \
	-Declipse.ignoreApp=true \
	-Dkura.home=${DIR}/kura \
	-Dkura.configuration=file:${DIR}/kura/kura.properties \
	-Dkura.custom.configuration=file:${DIR}/kura/kura_custom.properties \
	-Dkura.data.dir=${DIR}/data \
	-Ddpa.configuration=${DIR}/kura/dpa.properties \
	-Dlog4j.configuration=file:${DIR}/kura/log4j.properties \
	-jar ${DIR}/plugins/org.eclipse.osgi_3.8.1.v20120830-144521.jar \
	-configuration  /tmp/.kura/configuration \
	-console 5002 \
	-consoleLog >> /var/log/kura-console.log 2>> /var/log/kura-console.log &

#Save the PID
KURA_PID=$!
echo $KURA_PID > /var/run/kura.pid
	